# classes/munin.pp

class astrad002::snmp {
	package{ [snmp, snmpd]:
		ensure => installed,
                require => Exec['aptitude update']
	}

        file{"/etc/snmp/snmpd.conf":
                ensure  => file,
                owner   => root,
                group   => root,
                mode    => 644,
                recurse => true,
                replace => true,
                source  => "puppet:///$module_name/snmp/snmpd.conf",
                require => [Package['snmp'], Package['snmpd']],
                notify  => Exec["snmpd restart"]
        }

        file{"/etc/default/snmpd":
                ensure  => file,
                owner   => root,
                group   => root,
                mode    => 644,
                recurse => true,
                replace => true,
                source  => "puppet:///$module_name/snmp/snmpd",
                require => [Package['snmp'], Package['snmpd']],
                notify  => Exec["snmpd restart"]
        }

        exec { "snmpd restart":
                command     => "/etc/init.d/snmpd restart",
                refreshonly => true
        }
}
